gnash
1

# gnash

GNU Flash Player

## Synopsis

    gnash (options)... (file)...

## Description

Run the Flash movie player.

-h

  Print usage info.

-s factor

  Scale the movie up/down by the specified factor.

-c

  Produce a core file instead of letting SDL trap it

-d num

  Number of milli-seconds to delay in main loop

-x

  The XID of the parent window Gnash should use instead of creating a new one.

-j

  Set the width of the window. This is only used when embedding the player into another window.

-k

  Set the height of the window. This is only used when embedding the player into another window.

-v

  Be verbose; i.e. print log messages to stdout

-va

  Be verbose about movie Actions

-vp

  Be verbose about parsing the movie

-ml bias

  Specify the texture LOD bias (float, default is -1)

-p

  Run full speed (no sleep) and log frame rate

-w

  Write the gnash-dbg.log debug log to disk. By default the plugin writes it's log in your home directory when using a launcher from GNOME or KDE.

-1

  Play once; exit when/if movie reaches the last frame

-r [0|1|2]

  0 disables rendering and sound (good for batch tests)

  1 enables rendering and sound (default setting)

  2 enables rendering and disables sound

-t sec

  Timeout and exit after the specified number of seconds

-b bits

  Bit depth of output window (16 or 32, default is 16)

### Keys

CTRL-Q

  Quit/Exit

CTRL-W

  Quit/Exit

ESC

  Quit/Exit

CTRL-P

  Toggle Pause

CTRL-R

  Restart the movie

CTRL-[ or kp-

  Step back one frame

CTRL-] or kp+

  Step forward one frame

CTRL-A

  Toggle anti-aliasing (doesn't work)

CTRL-T

  Debug. Test the set_variable() function

CTRL-G

  Debug. Test the get_variable() function

CTRL-M

  Debug. Test the call_method() function

CTRL-B

  Toggle background color